---
title: "Minnesota Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/minnesota/"
canonical_url: "https://statepayrules.com/payday-laws/minnesota/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Minnesota payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Minn. Stat. § 177.24."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/minnesota/](https://statepayrules.com/payday-laws/minnesota/)
>
> *Complete statutory guide to Minnesota payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Minn. Stat. § 177.24.*

### Managing payroll or shift workers in Minnesota?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Minnesota

In Minnesota, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under Minn. Stat. § 177.24, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Minnesota, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under Minn. Stat. § 177.24.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | Minn. Stat. § 177.24 |
| Voluntary (Resigned/Quit) | Next regular payday | Minn. Stat. § 177.24 |

## Common Minnesota Payday Compliance Traps

- Attempting tip credit deductions against Minnesota minimum wage.
- Failing to comply with Minneapolis or St. Paul local wage ordinances.
- ESST tracking omissions.

### Help Minnesota Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Minnesota minimum wage ($10.85/hr large employer, $8.85 small employer). Tip credits are strictly prohibited statewide. Earned Sick and Safe Time (ESST) applies.

### Audit Your Minnesota Paystub

Calculate overtime, daily premiums, and regular rates for Minnesota.

## Audit Your Minnesota Paystub Under MN State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Minnesota daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Minnesota Statutory Guides

- [Minnesota Payday Laws →](https://statepayrules.com/payday-laws/minnesota)
- [Minnesota Meal & Rest Breaks →](https://statepayrules.com/break-laws/minnesota)
- [Minnesota Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/minnesota)
- [Minnesota Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/minnesota)

#### Compare Minnesota Pay Rules

- [Minnesota vs Wisconsin →](https://statepayrules.com/calculator/compare/minnesota-vs-wisconsin)
- [Minnesota vs Iowa →](https://statepayrules.com/calculator/compare/minnesota-vs-iowa)
- [Minnesota vs North Dakota →](https://statepayrules.com/calculator/compare/minnesota-vs-north-dakota)

#### Minnesota Profession Tools

- [Minnesota Registered Nurse →](https://statepayrules.com/calculator/minnesota/registered-nurse)
- [Minnesota Fast Food & Counter Worker →](https://statepayrules.com/calculator/minnesota/fast-food-worker)
- [Minnesota Construction Laborer →](https://statepayrules.com/calculator/minnesota/construction-laborer)
- [Minnesota Electrician →](https://statepayrules.com/calculator/minnesota/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Minnesota for 2026?** The 2026 statutory minimum wage in Minnesota is $11.13 per hour under Minn. Stat. § 177.24.
- **Does Minnesota require daily overtime pay?** Minnesota does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Minnesota allowed to take a tip credit?** No, Minnesota prohibits tip credits. Employers must pay tipped employees the full statutory minimum wage of $11.13/hr in direct cash pay before tips.
- **How often must employers pay employees in Minnesota?** Under Minn. Stat. § 177.24, employers in Minnesota must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Minnesota?** In Minnesota, final wages for discharged employees must be delivered promptly per state labor statutes (Minn. Stat. § 177.24) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/minnesota/](https://statepayrules.com/payday-laws/minnesota/).
